//---------------------------------------------------------------------------
//  Windows hooks Sample Application
//
//  This sample application demonstrates how to use Windows hooks.
//
//  Author:     Kyle Marsh
//              Windows Developer Technology Group
//              Microsoft Corp.
//
//---------------------------------------------------------------------------


#include "windows.h"
#include "hooks.h"

//---------------------------------------------------------------------------
// Function declarations
//---------------------------------------------------------------------------

int PASCAL WinMain(HINSTANCE hInst, HINSTANCE hInstPrev, LPSTR lpstrCmdLine, int cmdShow);


//---------------------------------------------------------------------------
// WinMain
//---------------------------------------------------------------------------

int PASCAL WinMain(HINSTANCE hInst, HINSTANCE hInstPrev, 
                   LPSTR lpstrCmdLine, int cmdShow)
{
    MSG        msgMain;
    int        nHookIndex = 0;
    
    //
    // Set the global instance variable
    //
    if (hInstPrev != NULL)
       {
        MessageBox(NULL, ONEINSTANCE,
                   APPTITLE, MB_OK|MB_ICONHAND);
        return (FALSE);
       } 

    InstallFilter(nHookIndex, TRUE);

    //
    // Main message "pump"
    //
    while (GetMessage((LPMSG) &msgMain, NULL, 0, 0))
    {
       TranslateMessage((LPMSG) &msgMain);
       DispatchMessage((LPMSG) &msgMain);
    }

    InstallFilter(nHookIndex, FALSE);

    return(0);
}



